summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTim Harder <radhermit@gentoo.org>2016-03-16 02:32:38 -0400
committerTim Harder <radhermit@gentoo.org>2016-03-16 02:42:10 -0400
commit8a213e41bc5286c8739c642faec81ae41666a2ff (patch)
treed0580fd2f83605d088bb399007517fcc4c75ba8f /app-vim/tlib
parentapp-vim/vim-addon-mw-utils: initial import (diff)
downloadgentoo-8a213e41bc5286c8739c642faec81ae41666a2ff.tar.gz
gentoo-8a213e41bc5286c8739c642faec81ae41666a2ff.tar.bz2
gentoo-8a213e41bc5286c8739c642faec81ae41666a2ff.zip
pp-vim/tlib: initial import
Diffstat (limited to 'app-vim/tlib')
-rw-r--r--app-vim/tlib/Manifest1
-rw-r--r--app-vim/tlib/metadata.xml8
-rw-r--r--app-vim/tlib/tlib-1.20.ebuild24
3 files changed, 33 insertions, 0 deletions
diff --git a/app-vim/tlib/Manifest b/app-vim/tlib/Manifest
new file mode 100644
index 00000000000..38241f1685e
--- /dev/null
+++ b/app-vim/tlib/Manifest
@@ -0,0 +1 @@
+DIST tlib-1.20.tar.gz 111202 SHA256 e2f37beed9a799643d519879418a51ade0f609d1d53230522429735778d5501e SHA512 d8a344483da2a174324dc81472b5d3bdb811e54af22a1599c5567019d33bafdf499845d3efeabf081ecf17dc6965c69640a6a01b208811529e86266ba1871218 WHIRLPOOL 41e85a5685d0636acfb56e0402792cce8b255d3c18cb8b108f53127fd33c8b98c1301067c0675e6689305d455d46f4f8a99d26375bd896fc56d8bb0f910ce53e
diff --git a/app-vim/tlib/metadata.xml b/app-vim/tlib/metadata.xml
new file mode 100644
index 00000000000..5c000c76308
--- /dev/null
+++ b/app-vim/tlib/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>vim@gentoo.org</email>
+ <name>Gentoo Vim Project</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/app-vim/tlib/tlib-1.20.ebuild b/app-vim/tlib/tlib-1.20.ebuild
new file mode 100644
index 00000000000..c216a42a326
--- /dev/null
+++ b/app-vim/tlib/tlib-1.20.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit vim-plugin
+
+MY_PN=${PN}_vim
+MY_P=${MY_PN}-${PV}
+
+DESCRIPTION="vim plugin: a library of utility functions"
+HOMEPAGE="http://www.vim.org/scripts/script.php?script_id=1863 https://github.com/tomtom/tlib_vim"
+SRC_URI="https://github.com/tomtom/${MY_PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="GPL-3"
+KEYWORDS="~amd64 ~x86"
+
+VIM_PLUGIN_HELPFILES="${PN}.txt"
+
+S=${WORKDIR}/${MY_P}
+
+src_prepare() {
+ rm -r test samples addon-info.json || die
+}